Get bundles
curl --request GET \
--url https://api.opal.dev/v1/bundles \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.opal.dev/v1/bundles"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.opal.dev/v1/bundles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"next": "cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw",
"previous": "cj1sZXdwd2VycWVtY29zZnNkc2NzUWxNMEUxTXk0ME16UXpNallsTWtJ",
"totalCount": 2,
"bundles": [
{
"id": "a381e7a3-e5e0-4c48-b1d6-4ccb4c191bc1",
"name": "Bundle 1",
"description": "Description of bundle 1",
"admin_owner_id": "4aed3e8a-727b-4d72-8010-3b8710c50bec",
"total_num_items": 0,
"total_num_resources": 0,
"total_num_groups": 0
},
{
"id": "8294e9c9-deb6-48e9-9c99-da2a1e04a87f",
"name": "Bundle 2",
"description": "Description of bundle 2",
"admin_owner_id": "4aed3e8a-727b-4d72-8010-3b8710c50bec",
"total_num_items": 0,
"total_num_resources": 0,
"total_num_groups": 0
}
]
}Returns a list of Bundle objects.
GET
/
bundles
Get bundles
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The maximum number of bundles to return from the beginning of the list. Default is 200, max is 1000.
A cursor indicating where to start fetching items after a specific point.
A filter for the bundle name.
Response
200 - application/json
A list of bundles for your organization.
Show child attributes
Show child attributes
The cursor used to obtain the current result page.
Example:
"cj1sZXdwd2VycWVtY29zZnNkc2NzUWxNMEUxTXk0ME16UXpNallsTWtJ"
The cursor with which to continue pagination if additional result pages exist.
Example:
"cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw"
The total number of items in the result set.
Example:
2
Last modified on September 2, 2026
Was this page helpful?